# Deprecated API

## Contents

- Exceptions
- Fields
- Methods
- Constructors

- Exceptions
  Exceptions | Description
  --- | ---
  org.apache.nutch.net.protocols.ProtocolException | Use `ProtocolException` instead.

- Fields
  Field | Description
  --- | ---
  org.apache.nutch.protocol.ProtocolStatus.BLOCKED |
  org.apache.nutch.protocol.ProtocolStatus.WOULDBLOCK |

- Methods
  Method | Description
  --- | ---
  org.apache.nutch.crawl.Generator.generate​(Path, Path, int, long, long, boolean, boolean) | since 1.19 use `Generator.generate(Path, Path, int, long, long, boolean, boolean, boolean, int, String, String)` or `Generator.generate(Path, Path, int, long, long, boolean, boolean, boolean, int, String)` in the instance that no hostdb is available
  org.apache.nutch.indexer.IndexWriter.open​(Configuration, String) | use `IndexWriter.open(IndexWriterParams)`} instead.
  org.apache.nutch.plugin.PluginRepository.finalize() |
  org.apache.nutch.protocol.RobotRulesParser.parseRules​(String, byte[], String, String) |
  org.apache.nutch.tools.CommonCrawlFormatFactory.getCommonCrawlFormat​(String, String, Content, Metadata, Configuration, CommonCrawlConfig) |

- Constructors
  Constructor | Description
  --- | ---
  org.apache.nutch.util.NutchJob​(Configuration, String) | , use instead `Job.getInstance(Configuration)` or `Job.getInstance(Configuration, String)`.